package com.zm.order.tool.server.dao;


import com.zm.order.tool.server.model.OrderOperation;
import com.zm.order.tool.server.query.OrderOperationQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author penghui
 */
@Repository
public interface OrderOperationDao {


    /**
     * 查询记录
     *
     * @param query 查询条件
     * @return
     */

    List<OrderOperation> selectList(OrderOperationQuery query);

    /**
     * 通过订单号查询
     *
     * @param orderNo
     * @return
     */
    List<OrderOperation> selectByOrderNo( @Param("orderNo") String orderNo);



    /**
     * 插入记录
     *
     * @param record 记录
     * @return
     */
    int insert(OrderOperation record);

    int insertList(List<OrderOperation> list);


    /**
     * 查询记录
     *
     * @param query 查询条件
     * @return
     */
    List<Long> selectIdList(OrderOperationQuery query);


    /**
     * 物理删除
     *
     * @param id 查询条件
     * @param orderNo 查询条件
     * @return
     */
    int realDelete(@Param("id") Long id, @Param("orderNo") String orderNo);

}